import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpMobileUserInfo } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-11 16:55
 */
interface PpMobileUserInfoCU extends ConditionUtil<PpMobileUserInfoCU> {
    USER_ID: FieldUtil<PpMobileUserInfoCU>;
    PHONE: FieldUtil<PpMobileUserInfoCU>;
    POINTS: FieldUtil<PpMobileUserInfoCU>;
    CYPOINTS: FieldUtil<PpMobileUserInfoCU>;
    CREATE_TIME: FieldUtil<PpMobileUserInfoCU>;
    UPDATE_TIME: FieldUtil<PpMobileUserInfoCU>;
}
declare class PpMobileUserInfoMU extends TableUtilImpl<PpMobileUserInfoCU, PpMobileUserInfo> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpMobileUserInfoCU;
    static get USER_ID(): FieldUtil<PpMobileUserInfoCU>;
    static get PHONE(): FieldUtil<PpMobileUserInfoCU>;
    static get POINTS(): FieldUtil<PpMobileUserInfoCU>;
    static get CYPOINTS(): FieldUtil<PpMobileUserInfoCU>;
    static get CREATE_TIME(): FieldUtil<PpMobileUserInfoCU>;
    static get UPDATE_TIME(): FieldUtil<PpMobileUserInfoCU>;
    get USER_ID(): FieldUtil<PpMobileUserInfoCU>;
    get PHONE(): FieldUtil<PpMobileUserInfoCU>;
    get POINTS(): FieldUtil<PpMobileUserInfoCU>;
    get CYPOINTS(): FieldUtil<PpMobileUserInfoCU>;
    get CREATE_TIME(): FieldUtil<PpMobileUserInfoCU>;
    get UPDATE_TIME(): FieldUtil<PpMobileUserInfoCU>;
}
export { PpMobileUserInfoMU, PpMobileUserInfoCU };
